org.apache.poi.hssf.record

## Class OldFormulaRecord

- java.lang.Object
- - org.apache.poi.hssf.record.OldCellRecord
  - - org.apache.poi.hssf.record.OldFormulaRecord

-     public final class OldFormulaRecord
      extends OldCellRecord

  Formula Record (0x0006 / 0x0206 / 0x0406) - holds a formula in encoded form, along with the value if a number

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `biff2_sid`
    `static short` | `biff3_sid`
    `static short` | `biff4_sid`
    `static short` | `biff5_sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OldFormulaRecord(RecordInputStream ris)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendValueText(java.lang.StringBuilder sb)` Append specific debug info (used by `OldCellRecord.toString()` for the value contained in this record.
    `boolean` | `getCachedBooleanValue()`
    `int` | `getCachedErrorValue()`
    `int` | `getCachedResultType()`
    `Formula` | `getFormula()`
    `short` | `getOptions()` get the option flags
    `Ptg[]` | `getParsedExpression()`
    `protected java.lang.String` | `getRecordName()` Gets the debug info BIFF record type name (used by `OldCellRecord.toString()`.
    `double` | `getValue()` get the calculated value of the formula

    - ### Methods inherited from class org.apache.poi.hssf.record.OldCellRecord

      `getCellAttrs, getColumn, getRow, getSid, getXFIndex, isBiff2, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### biff2_sid

          public static final short biff2_sid

      See Also:
        Constant Field Values

    - #### biff3_sid

          public static final short biff3_sid

      See Also:
        Constant Field Values

    - #### biff4_sid

          public static final short biff4_sid

      See Also:
        Constant Field Values

    - #### biff5_sid

          public static final short biff5_sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OldFormulaRecord

          public OldFormulaRecord(RecordInputStream ris)

  - ### Method Detail

    - #### getCachedResultType

          public int getCachedResultType()

    - #### getCachedBooleanValue

          public boolean getCachedBooleanValue()

    - #### getCachedErrorValue

          public int getCachedErrorValue()

    - #### getValue

          public double getValue()

      get the calculated value of the formula
      Returns:
        calculated value

    - #### getOptions

          public short getOptions()

      get the option flags
      Returns:
        bitmask

    - #### getParsedExpression

          public Ptg[] getParsedExpression()

      Returns:
        the formula tokens. never `null`

    - #### getFormula

          public Formula getFormula()

    - #### appendValueText

          protected void appendValueText(java.lang.StringBuilder sb)

      Description copied from class: `OldCellRecord`
      Append specific debug info (used by `OldCellRecord.toString()` for the value contained in this record. Trailing new-line should not be appended (superclass does that).
      Specified by:
        `appendValueText` in class `OldCellRecord`
      Parameters:
        `sb` - the StringBuilder to append to

    - #### getRecordName

          protected java.lang.String getRecordName()

      Description copied from class: `OldCellRecord`
      Gets the debug info BIFF record type name (used by `OldCellRecord.toString()`.
      Specified by:
        `getRecordName` in class `OldCellRecord`
      Returns:
        the debug info BIFF record type name

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.